# Customer API

## About

* Base URL: `https://api.bytenite.com/v1/customer`
* Version: `v1`
* Swagger Docs: <https://api.bytenite.com/v1/customer/docs/>
* Specification: <https://api.bytenite.com/v1/customer/docs/swagger.json>

***

## Retrieve information about server

> Server software version and important messages

```json
{"openapi":"3.1.1","info":{"title":"ByteNite jobs API","version":"0.1"},"tags":[],"servers":[{"url":"https://api.bytenite.com/v1/customer"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"Your ByteNite access token","name":"Authorization","in":"header"}},"schemas":{"bytenitecustomerServerInfoResponse":{"type":"object","properties":{"version":{"$ref":"#/components/schemas/commonVersion"},"messages":{"type":"object","additionalProperties":{"type":"string"}}}},"commonVersion":{"type":"object","properties":{"major":{"type":"integer","format":"int64"},"minor":{"type":"integer","format":"int64"},"tag":{"type":"string"}},"description":"Version of the distributed app, including revision."},"rpcStatus":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"message":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/protobufAny"}}}},"protobufAny":{"type":"object","properties":{"@type":{"type":"string"}},"additionalProperties":{}}}},"paths":{"/info":{"get":{"summary":"Retrieve information about server","description":"Server software version and important messages","operationId":"Customer_Info","responses":{"200":{"description":"A successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/bytenitecustomerServerInfoResponse"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/bytenitecustomerServerInfoResponse"}}}},"400":{"description":"Returned when the users sends a malformed request.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"401":{"description":"Returned when the user is not authenticated.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"403":{"description":"Returned when the user does not have permission to access the resource.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"404":{"description":"Returned when the resource does not exist.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"500":{"description":"Returned when an error on the server occurred.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"503":{"description":"Returned when the resource is temporarily unavailable.","content":{"application/json":{"schema":{}},"application/x-protobuf":{"schema":{}}}},"default":{"description":"An unexpected error response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/rpcStatus"}},"application/x-protobuf":{"schema":{"$ref":"#/components/schemas/rpcStatus"}}}}},"tags":["Info"]}}}}
```
